MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0017460Community[OCCT] OCCT:Visualizationpublic2007-10-30 10:192012-03-29 17:26
Reporterszv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.5.2 
Summary0017460: Error in StdSelect_BRepOwner::Clear
DescriptionThis problem is reported by Stephane Routelous <stephane.routelous@exotk.org>:

"in StdSelect_BrepOwner.cxx line 142 :
if(myPrsSh.IsNull())
PM->Clear(myPrsSh,M);// <- crash
what's the point of clearing a null object ?
maybe it should be :
if(!myPrsSh.IsNull())"
TagsNo tags attached.
Test case numberTest case not required.
Attached Files

- Relationships

-  Notes
(0013097)
szy (administrator)
2011-06-21 16:20

Dear mkv,
Please test the fix.
The bug lives from 2007, but still not fixed.
see the post http://www.opencascade.org/org/forum/thread_12246/ [^]
It seems a time to fix it.
(0018130)
kgv (developer)
2011-09-13 15:15

This is just misprint - that for sure.

Branch http://svn/svn/occt/branches/OCC17460 [^] was prepared for this one-line fix.
Dear Bugmaster, please perform regression tests on this branch.
(0018192)
miv (tester)
2011-09-16 16:21

Dear BugMaster,

This fix tested.

Regression was not found.

--
Regards,
Mike I.
(0018195)
bugmaster (administrator)
2011-09-16 16:45
edited on: 2011-09-16 16:47

Integration into trunk of occt repository

Date: 2011-09-16 16:44:35 +0400 (Fri, 16 Sep 2011)
New Revision: 9051

Modified:
   trunk/src/StdSelect/StdSelect_BRepOwner.cxx


- Related Changesets
occt: master 6153bb63
Timestamp: 2011-09-16 12:44:35
Author: kgv
Committer: bugmaster
Details ] Diff ]
0017460: Error in StdSelect_BRepOwner::Clear
mod - src/StdSelect/StdSelect_BRepOwner.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-06-21 16:20 szy CC => mkv, inv, kgv
2011-08-02 11:24 bugmaster Category OCCT:VIZ => OCCT:Visualization
2011-09-13 15:13 kgv Assigned To bugmaster => kgv
2011-09-13 15:13 kgv Status new => assigned
2011-09-13 15:15 kgv Note Added: 0018130
2011-09-13 15:15 kgv Assigned To kgv => bugmaster
2011-09-13 15:15 kgv Status assigned => resolved
2011-09-13 15:29 bugmaster Status resolved => reviewed
2011-09-13 15:29 bugmaster Fixed in Version EMPTY =>
2011-09-13 15:29 bugmaster Description Updated View Revisions
2011-09-13 17:04 bugmaster Assigned To bugmaster => kgv
2011-09-16 15:16 miv Test case number => Test case not required.
2011-09-16 16:21 miv Note Added: 0018192
2011-09-16 16:21 miv Assigned To kgv => bugmaster
2011-09-16 16:21 miv Status reviewed => tested
2011-09-16 16:45 bugmaster Note Added: 0018195
2011-09-16 16:45 bugmaster Status tested => verified
2011-09-16 16:45 bugmaster Resolution open => fixed
2011-09-16 16:47 bugmaster Note Edited: 0018195 View Revisions
2011-12-15 16:20 abv Project Open CASCADE => Community
2012-03-29 17:26 bugmaster Changeset attached => occt master 6153bb63


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker